## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.6

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# FunctionHasSameNodes Class Reference

XPath implementation of "has-same-nodes" function for NodeSets. More...

`#include <FunctionHasSameNodes.hpp>`

Inheritance diagram for FunctionHasSameNodes

Collaboration diagram for FunctionHasSameNodes:

List of all members.

## Public Types

- typedef Function ParentType

## Public Methods

- FunctionHasSameNodes ()
- virtual ~FunctionHasSameNodes ()
- virtual XObjectPtr execute ( XPathExecutionContext& executionContext, XalanNode* context, const XObjectArgVectorType& args, const LocatorType* locator) const
    Execute an XPath function object. More...
- virtual FunctionHasSameNodes* clone () const
    Create a copy of the function object. More...

## Protected Methods

- const XalanDOMString getError () const
    Get the error message to report when the function is called with the wrong number of arguments. More...

## Detailed Description

XPath implementation of "has-same-nodes" function for NodeSets.

## Member Typedef Documentation

typedef Function FunctionHasSameNodes::ParentType

## Constructor & Destructor Documentation

FunctionHasSameNodes::FunctionHasSameNodes ( | )

virtual FunctionHasSameNodes::~FunctionHasSameNodes ( | )`[virtual]`

## Member Function Documentation

virtual FunctionHasSameNodes* FunctionHasSameNodes::clone ( | ) const`[virtual]`

Create a copy of the function object.

Returns:
  pointer to the new object

Reimplemented from Function.

virtual XObjectPtr FunctionHasSameNodes::execute ( | XPathExecutionContext & executionContext,
| XalanNode * context,
| const XObjectArgVectorType & args,
| const LocatorType * locator ) const`[virtual]`

Execute an XPath function object.

The function must return a valid object. Extension functions should override this version of execute(), rather than one of the other calls designed for a specific number of arguments, since the extension function mechanism will call this version first. Extension functions that accept more than three arguments _must_ override this version.

Parameters:

  executionContext | executing context
  context | current context node
  args | vector of pointers to XObject arguments
  locator | LocatorType instance for the XPath expression that contains the function call

Returns:
  pointer to the result XObject

Reimplemented from Function.

const XalanDOMString FunctionHasSameNodes::getError ( | ) const`[protected, virtual]`

Get the error message to report when the function is called with the wrong number of arguments.

Returns:
  function error message

Reimplemented from Function.

The documentation for this class was generated from the following file:

- FunctionHasSameNodes.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.6 Copyright © 2000, 2001, 2002, 2003 The Apache Software Foundation. All Rights Reserved.